Contingut
Índex 🔎︎

# Inici del programari del LibreOffice amb paràmetres

Si inicieu el LibreOffice des de la línia d'ordres, podeu assignar diversos paràmetres mitjançant els quals podeu alterar el rendiment. L'ús de paràmetres de la línia d'ordres només es recomana als usuaris experimentats.

En un ús normal, no cal utilitzar paràmetres de línia d'ordres. Per a utilitzar alguns d'aquests paràmetres cal tenir un ampli coneixement de la tecnologia del programari del LibreOffice.

## Inici del LibreOffice des de la línia d'ordres

1. Al Windows, seleccioneu Executa des del menú Inicia del Windows, o obriu un terminal a les plataformes Linux, *BSD o macOS.

2. Al Windows, introduïu el text següent al camp de text Obre i feu clic a D'acord.

3. Als sistemes tipus Unix, escriviu el text següent. Després, premeu Retorn:

   {instal·lació}\program\soffice.exe {paràmetre}{instal·lació}/program/soffice {paràmetre}

   Replace {install} with the path to your installation of LibreOffice software (for example, C:\Program Files\Office in Windows, or ~/office in UNIX)

## Paràmetres de línia d'ordres vàlids

### Ús sense paràmetres especials

L'ús sense arguments obre el Centre d'inici.

{fitxer} | Tries to open the file (files) in the components suitable for them.
{fitxer} macro:///[Biblioteca.Mòdul.NomDeLaMacro] | Obre el fitxer i aplica les macros especificades provinents del fitxer.

### Obtenció d'ajuda i informació

Paràmetre | Significat
--help / -h / -? | Mostra en la consola els paràmetres de línia d'ordres disponibles.
--helpwriter | Obre l'ajuda integrada o en línia del LibreOffice sobre el Writer.
--helpcalc | Obre l'ajuda integrada o en línia del LibreOffice sobre el Calc.
--helpdraw | Obre l'ajuda integrada o en línia del LibreOffice sobre el Draw.
--helpimpress | Obre l'ajuda integrada o en línia del LibreOffice sobre l'Impress.
--helpbase | Obre l'ajuda integrada o en línia del LibreOffice sobre el Base.
--helpbasic | Obre l'ajuda integrada o en línia del LibreOffice sobre el llenguatge de programació Basic.
--helpmath | Obre l'ajuda integrada o en línia del LibreOffice sobre el Math.
--version | Mostra la versió del LibreOffice i surt.
--nstemporarydirectory | (macOS sandbox only) Returns path of the temporary directory for the current user and exits. Overrides all other arguments.

### Arguments generals

Paràmetre | Significat
--quickstart[=no] | Activates[Deactivates] the Quickstarter service. It can take only one parameter no which deactivates the Quickstarter service. Without parameters this service is activated.
--nolockcheck | Disables check for remote instances using the installation.
--infilter={filter} | Forces an input filter type, if possible. For example: --infilter="Calc Office Open XML" --infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US".
--pidfile={file} | Emmagatzema l'identificador de procés (PID) a {fitxer}.
--display {display} | Defineix la variable d'entorn DISPLAY a les plataformes UNIX, i similars, al valor {display}. Aquest paràmetre només s'admet per a l'script d'inici del programari LibreOffice a les plataformes UNIX i similars.

### User/programmatic interface control

Paràmetre | Significat
--nologo | Inhabilita la pantalla de presentació quan s'inicia el programa.
--minimized | Inicia l'aplicació minimitzada. La pantalla de presentació no es mostra.
--nodefault | Inicia l'aplicació i només mostra la pantalla de presentació.
--invisible | Inicia l'aplicació en mode invisible. Neither the start-up logo nor the initial program window will be visible. LibreOffice software can be controlled, and documents and dialogs can be controlled and opened via the API. Using the parameter, LibreOffice can only be ended using the taskmanager (Windows) or the kill command (UNIX-like systems). No es pot utilitzar juntament amb --quickstart. En trobareu més informació a la Guia del desenvolupador del LibreOffice (en anglès).
--headless | Inici en mode sense perifèrics, que permet utilitzar l'aplicació sense interfície d'usuari. Aquest mode especial es pot utilitzar quan l'aplicació es controla per clients externs mitjançant l'API.
--norestore | Inhabilita el reinici i la restauració de fitxers després d'una fallada del sistema.
--safe-mode | Starts in a safe mode, i.e. starts temporarily with a fresh user profile and helps to restore a broken configuration.
--accept={UNO} | Notifica el LibreOffice que s'ha d'utilitzar una cadena «UNO Accept String» quan es creï una cadena «UNO Acceptor Threads». UNO-URL is string the such kind uno:connection-type,params;protocol-name,params;ObjectName. En trobareu més informació a la Guia del desenvolupador del LibreOffice (en anglès).
--unaccept={UNO-URL} | Closes an acceptor that was created with --accept={UNO-URL}. Use --unaccept=all to close all open acceptors.
--language={lang} | Fa servir la llengua especificada, si no se n'ha seleccionat una per a la interfície. El valor de «lang» és una etiqueta de llengua IETF.

### Arguments per als desenvolupadors

Paràmetre | Significat
--terminate_after_init | Exit after initialization complete (no documents loaded).
--eventtesting | Surt al cap de carregar documents.

### Arguments per a la creació de documents

The arguments create an empty document of specified kind. Only one of them may be used in one command line. If filenames are specified after an argument, then it tries to open those files in the specified component.

Paràmetre | Significat
--writer | Inicia l'aplicació amb un document del Writer buit.
--calc | Inicia l'aplicació amb un document del Calc buit.
--draw | Inicia l'aplicació amb un document del Draw buit.
--impress | Inicia l'aplicació amb un document de l'Impress buit.
--math | Inicia l'aplicació amb un document del Math buit.
--global | Inicia l'aplicació amb un document mestre del Writer buit.
--web | Inicia l'aplicació amb un document HTML buit.

### Arguments d'obertura de fitxers

The arguments define how following filenames are treated. New treatment begins after the argument and ends at the next argument. The default treatment is to open documents for editing, and create new documents from document templates.

Paràmetre | Significat
-n | Treats following files as templates for creation of new documents.
-o | Opens following files for editing, regardless whether they are templates or not.
--pt {Printername} | Prints the following files to the printer {Printername} and ends. The splash screen does not appear. Si el nom de fitxer conté espais, l'haureu de posar entre cometes. If used multiple times, only last {Printername} is effective for all documents of all --pt runs. Also, --printer-name argument of --print-to-file switch interferes with {Printername}.
-p | Prints following files to the default printer, after which those files are closed. The splash screen does not appear. Si el nom de fitxer conté espais, l'haureu de posar entre cometes.
--view | Opens following files in viewer mode (read-only).
--show | Opens and starts the following presentation documents of each immediately. Files are closed after the showing. Files other than Impress documents are opened in default mode , regardless of previous mode.
--convert-to OutputFileExtension[:OutputFilterName] [--outdir output_dir] | Batch convert files (implies --headless). If --outdir isn't specified, then current working directory is used as output_dir. If --convert-to is used more than once, last value of OutputFileExtension[:OutputFilterName] is effective. If --outdir is used more than once, only its last value is effective. For example: --convert-to pdf *.doc --convert-to pdf:writer_pdf_Export --outdir /home/user *.doc --convert-to "html:XHTML Writer File:UTF8" *.doc --convert-to "txt:Text (encoded):UTF8" *.doc See the list of document filters for file conversion.
--print-to-file [--printer-name printer_name] [--outdir output_dir] | Batch print files to file. If --outdir is not specified, then current working directory is used as output_dir. If --printer-name or --outdir used multiple times, only last value of each is effective. Also, {Printername} of --pt switch interferes with --printer-name. For example: --print-to-file *.doc --print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc
--cat | Applies filter "txt:Text" to the following text documents and dump text content to console (implies --headless). Cannot be used with --convert-to.
-env:VAR[=VALUE] | Set a bootstrap variable. For example: to set a non-default user profile path: -env:UserInstallation=file:///tmp/test

### Ignored switches

Paràmetre | Significat
-psn | Ignorat (només al macOS)
-Embedding | Ignorat (relacionat amb COM+; només al Windows)
--nofirststartwizard | No fa res; s'accepta únicament per motius de retrocompatibilitat.
--protector {arg1} {arg2} | S'empra només en les proves unitàries i ha de tenir dos arguments.